%define upstream_name    CGI-SSI
%define upstream_version 0.92

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Use SSI from CGI scripts
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Date::Format)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::SimpleParse)
BuildRequires: perl(HTTP::Cookies)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(URI)
BuildArch: noarch

%description
CGI::SSI is meant to be used as an easy way to filter shtml through CGI
scripts in a loose imitation of Apache's mod_include. If you're using
Apache, you may want to use either mod_include or the Apache::SSI module
instead of CGI::SSI. Limitations in a CGI script's knowledge of how the
server behaves make some SSI directives impossible to imitate from a CGI
script.

Most of the time, you'll simply want to filter shtml through STDOUT or some
other open filehandle. 'autotie' is available for STDOUT, but in general,
you'll want to tie other filehandles yourself:

    $ssi = tie(*FH, 'CGI::SSI', filehandle => 'FH');
    print FH $shtml;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
# one test is broken, don't run the test suite
#make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.920.0-9.mga8
+ Revision: 1493498
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.920.0-8.mga7
+ Revision: 1266065
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.920.0-7.mga6
+ Revision: 1023824
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.920.0-6.mga6
+ Revision: 947381
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.920.0-5.mga5
+ Revision: 747009
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.920.0-4.mga5
+ Revision: 683654
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.920.0-3.mga4
+ Revision: 522806
- Mageia 4 Mass Rebuild

* Wed Mar 27 2013 guillomovitch <guillomovitch> 0.920.0-2.mga3
+ Revision: 405805
- don't run test suite, one test is broken
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 20 2011 jquelin <jquelin> 0.920.0-1.mga2
+ Revision: 146078
- imported package perl-CGI-SSI


* Tue Sep 20 2011 cpan2dist 0.92-1mga
- initial mageia release, generated with cpan2dist
